View Issue Details

IDProjectCategoryView StatusLast Update
0026785LazarusLCLpublic2015-02-05 11:06
ReporterZeljan RikaloAssigned ToZoran Vučenović 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3 (SVN)Product Build 
Target VersionFixed in Version1.3 (SVN) 
Summary0026785: TDateTimePicker missing property
Descriptioneg. we have 2 date time pickers on form where we input date from - to.
eg. by default both are setted up to 26.09.2014.
Now user manually changes first date to 01.01.2014, and tries to change second one to 31.12.2014, but it's impossible since TDateTimePicker evaluates date and alyways reset date because September cannot have 31 day.
Would be nice to have property which allow manual input without controlling date before editing is done.
TagsNo tags attached.
Fixed in Revision47237
LazTarget1.4
Widgetset
Attached Files

Activities

Zoran Vučenović

2014-09-27 18:32

developer   ~0077747

I'll think about it. I'll probably try to implement such property if it is not too difficult. However, for now this is not the priority. The priority is Delphi compatibility, which means implementing the Format property.

Zeljan Rikalo

2014-09-27 20:00

developer   ~0077749

tnx.

Zoran Vučenović

2014-12-24 07:28

developer   ~0079957

Last edited: 2014-12-24 07:31

View 2 revisions

Here is what I implemented (rev. 47237) - when user enters the date the way you explained, then the following date part will change automatically (in your example, when user changes the day to 31, month will automatically change to 10 to allow the day to be set to 31, then the focus jump to month and the user just keeps typing - 01 - and he gets what he wants.

I did not introduce new property, there are too many properties, but I tied this to AutoAdvance (which is on by default) - this makes sense to me - the user wants to be able to type the date without stopping - and he is now able to do it.

Zoran Vučenović

2014-12-24 19:50

developer   ~0079959

The needed functionality is implemented, so I'm marking it fixed.

Zeljan Rikalo

2015-02-05 11:06

developer   ~0080803

Thanks.

Issue History

Date Modified Username Field Change
2014-09-26 09:08 Zeljan Rikalo New Issue
2014-09-26 09:08 Zeljan Rikalo Status new => assigned
2014-09-26 09:08 Zeljan Rikalo Assigned To => Juha Manninen
2014-09-27 18:32 Zoran Vučenović Note Added: 0077747
2014-09-27 20:00 Zeljan Rikalo Note Added: 0077749
2014-09-27 20:25 Marc Weustink Assigned To Juha Manninen => Zoran Vučenović
2014-12-24 07:28 Zoran Vučenović Note Added: 0079957
2014-12-24 07:31 Zoran Vučenović Note Edited: 0079957 View Revisions
2014-12-24 19:50 Zoran Vučenović Fixed in Revision => 47237
2014-12-24 19:50 Zoran Vučenović LazTarget - => 1.4
2014-12-24 19:50 Zoran Vučenović Note Added: 0079959
2014-12-24 19:50 Zoran Vučenović Status assigned => resolved
2014-12-24 19:50 Zoran Vučenović Fixed in Version => 1.3 (SVN)
2014-12-24 19:50 Zoran Vučenović Resolution open => fixed
2015-02-05 11:06 Zeljan Rikalo Note Added: 0080803
2015-02-05 11:06 Zeljan Rikalo Status resolved => closed